<main class="main-content">
    <section>
        <div class="container d-flex flex-row justify-content-between">
            <div class="col-3">
                <span class="genre-dropdown me-5" dropdown>
                    <a href class="text-white text-decoration-none" dropdownToggle (click)="false">
                        <strong class="add-genre-icon">+</strong>Add Genre</a>
                    <ul *dropdownMenu class="dropdown-menu" role="menu" style="list-style-type: none;">
                        <li *ngFor="let genre of genres" class="dropdown-item"
                            [class.active]="genre.id === this.params.genreId" [value]="genre.id"
                            (click)="onGenreSelected(genre.id)">
                            {{genre.name}}
                        </li>
                    </ul>
                </span>
                <span class="genre-dropdown" dropdown>
                    <a href class="text-white text-decoration-none" dropdownToggle (click)="false">
                        <strong class="add-genre-icon">+</strong>Add sub-genre</a>
                    <ul *dropdownMenu class="dropdown-menu" role="menu" style="list-style-type: none;">
                        <li *ngFor="let genre of subGenres" class="dropdown-item"
                            [class.active]="genre.id === this.params.subGenreId" [value]="genre.id"
                            (click)="onSubGenreSelected(genre.id)">
                            {{genre.name}}
                        </li>
                    </ul>
                </span>
            </div>
            <div class="col-3">
                <div class=" input-group input-group-sm mb-4">
                    <span class="input-group-text" id="inputGroup-sizing-sm">
                        <fa-icon [icon]="faSearch"></fa-icon>
                    </span>
                    <input #search type="text" class="form-control" (keydown)="onSearch()">
                </div>
            </div>
        </div>
    </section>

    <section>
        <div class="container d-flex flex-row-reverse mb-4">
            <button type="button" class="btn btn-success" [routerLink]="['/games', 'add']">Add Game</button>
        </div>
    </section>

    <section>
        <div class="container">
            <div class="row">
                <div class="col-4" *ngFor="let game of games">
                    <app-game-card [game]="game"></app-game-card>
                </div>
            </div>
        </div>
    </section>
</main>